package gz.cyberbrain.cyberhotel.model.request.dao;

import gz.cyberbrain.cyberhotel.model.request.to.RequestTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface RequestDao {

	public RequestTo create(RequestTo requestTo) throws InternalErrorException;

	public RequestTo find(Long reservationId, Long clientId) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (RequestTo requestTo) 
		throws InternalErrorException;
	
	public void remove(RequestTo requestTo) 
		throws InternalErrorException;
	
	public Collection findAll() throws InternalErrorException;
	
}
