package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.HashMap;

public class ConceptUpdater extends SaveAdapter {

	@Override
	public Serializable save(HashMap map) {

		try {
			if (inputTesting(map))
				ConceptController.updateConcept((String) map.get("code"), (String) map.get("denomination"), (BigDecimal) map.get("vat"));
		} catch (InternalErrorException e) {
			e.printStackTrace();
		}

		return (String) map.get("code");
		
	}

	protected boolean inputTesting(HashMap map) {

		if (((String) map.get("code")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("code"));			
			return false;

		}

		if (((String) map.get("denomination")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("denomination"));			
			return false;

		}

		ErrorsHandler.clear();

		return true;

	}

}
